cudaExternalSemaphoreSignalParams(3)

NAME
cudaExternalSemaphoreSignalParams -

SYNOPSIS

Detailed Description

External semaphore signal parameters

Field Documentation

  void* cudaExternalSemaphoreSignalParams::fence

Pointer to NvSciSyncFence. Valid if cudaExternalSemaphoreHandleType is of type cudaExternalSemaphoreHandleTypeNvSciSync.

  struct { ... } cudaExternalSemaphoreSignalParams::fence

Parameters for fence objects

  struct { ... } cudaExternalSemaphoreSignalParams::keyedMutex

Parameters for keyed mutex objects

  unsigned long long cudaExternalSemaphoreSignalParams::value

Value of fence to be signaled

Author

Generated automatically by Doxygen from the source code.